package com.collabnet.ctf.events.custom.events;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.WebTarget;

/**
 * Rest client to talk to TeamForge rest services
 */
public enum RestClient {

    CTF;

    private String basePath = Configuration.getEndPointBaseUri();
    private Client baselineClient;

    RestClient() {
        this.baselineClient = ClientBuilder.newBuilder().build();
    }

    public WebTarget getBaseTarget() {
        return baselineClient.target(basePath);
    }

    public String getBasePath() {
        return basePath;
    }

}
